'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.handler = exports.desc = exports.command = undefined;

var _sourceMapSupport2 = require('source-map-support');

var _webdriverio = require('webdriverio');

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

(0, _sourceMapSupport2.install)();
const command = exports.command = 'repl <browserName>';
const desc = exports.desc = 'Run WebDriver session in command line';

const handler = exports.handler = (() => {
    var _ref = _asyncToGenerator(function* (argv) {
        const browserName = argv.browserName;


        const client = yield (0, _webdriverio.remote)(Object.assign(argv, {
            capabilities: {
                browserName
            }
        }));

        global.$ = client.$.bind(client);
        global.$$ = client.$$.bind(client);
        global.browser = client;

        yield client.debug();
        yield client.deleteSession();
    });

    return function handler(_x) {
        return _ref.apply(this, arguments);
    };
})();